classification
Title: DefaultSelector fails to detect selector on VMware ESXi
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: akasurde, gvanrossum, lukasz.langa, miss-islington
Priority: normal Keywords: patch

Created on 2020-07-01 11:08 by akasurde, last changed 2020-07-26 15:37 by gvanrossum. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21257 merged akasurde, 2020-07-01 11:10
PR 21630 merged miss-islington, 2020-07-26 15:12
Messages (7)
msg372746 - (view) Author: Abhijeet Kasurde (akasurde) * Date: 2020-07-01 11:08
When DefaultSelector is used on VMware ESXi, it fails with 

>>> import selectors
>>> selector = selectors.DefaultSelector()
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/build/mts/release/bora-4887370/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/selectors.py", line 390, in __init__
OSError: [Errno 38] Function not implemented

After debugging, I found that it is using Selector which is not implemented for ESXi kernel. 

Change DefaultSelector mechanism to use 'select' implementation to choose default selector.
msg373636 - (view) Author: Abhijeet Kasurde (akasurde) * Date: 2020-07-14 13:46
Any news?
msg374118 - (view) Author: miss-islington (miss-islington) Date: 2020-07-23 03:13
New changeset bcd47837a9bf4806e559b40df73869493efcce27 by Abhijeet Kasurde in branch 'master':
bpo-41182 selector: use DefaultSelector based upon implementation (GH-21257)
https://github.com/python/cpython/commit/bcd47837a9bf4806e559b40df73869493efcce27
msg374153 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-07-23 23:59
Łukasz, what do you think of backporting this to 3.9?
msg374321 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2020-07-26 15:13
This is a bit of a risky change looking at the PR but since it's a bugfix, we should have it for 3.9.0rc1.
msg374325 - (view) Author: miss-islington (miss-islington) Date: 2020-07-26 15:32
New changeset 6e4975a1c79d8433d9d5b50ff1c655b5b5a2acd2 by Miss Islington (bot) in branch '3.9':
bpo-41182 selector: use DefaultSelector based upon implementation (GH-21257)
https://github.com/python/cpython/commit/6e4975a1c79d8433d9d5b50ff1c655b5b5a2acd2
msg374328 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-07-26 15:37
Thank you Abhijeet! Looking forward to more of your contributions.
History
Date User Action Args
2020-07-26 15:37:03gvanrossumsetstatus: open -> closed
resolution: fixed
messages: + msg374328

stage: patch review -> resolved
2020-07-26 15:32:28miss-islingtonsetmessages: + msg374325
2020-07-26 15:13:30lukasz.langasetmessages: + msg374321
2020-07-26 15:12:39miss-islingtonsetpull_requests: + pull_request20771
2020-07-23 23:59:02gvanrossumsetnosy: + gvanrossum, lukasz.langa
messages: + msg374153
2020-07-23 03:13:44miss-islingtonsetnosy: + miss-islington
messages: + msg374118
2020-07-14 13:46:22akasurdesetmessages: + msg373636
2020-07-01 11:10:21akasurdesetkeywords: + patch
stage: patch review
pull_requests: + pull_request20403
2020-07-01 11:08:19akasurdecreate